Dim Lunar_Descent_Model_num_engines
Dim saved_thrust
Dim saved_ISP
Dim saved_MassFlowRate

Dim Lunar_Descent_Model_Update_Inputs
Dim Lunar_Descent_Model_Update_Outputs

'==========================================================================
' Lunar_Descent_Model_Update() fctn
'==========================================================================
Function Lunar_Descent_Model_Update( argArray )

	Dim retVal

	If IsEmpty(argArray(0)) Then

		' do compute

		retVal = Lunar_Descent_Model_Update_compute( argArray )

	ElseIf argArray(0) = "register" Then

		Lunar_Descent_Model_Update_globalVar = -1

		retVal = Lunar_Descent_Model_Update_register()

	ElseIf argArray(0) = "compute" Then

		' do compute

		retVal = Lunar_Descent_Model_Update_compute( argArray )

	Else

		' bad call

		retVal = Empty

	End If


	Lunar_Descent_Model_Update = retVal

End Function

Function Lunar_Descent_Model_Update_register()

	ReDim descripStr(3), argStr(3)

	descripStr(0)="ArgumentType = Output"
	descripStr(1)="Name = Status"
	descripStr(2)="ArgumentName = status"

	argStr(0) = descripStr

	ReDim descripStr(3)

	descripStr(0)="ArgumentType = Input"
	descripStr(1)="Name = TotalMass"
	descripStr(2)="ArgumentName = Mass"

    	argStr(1) = descripStr

	ReDim descripStr(4)

	descripStr(0)="ArgumentType = Input"
	descripStr(1)="Name = Lunar_a_sub_t"
	descripStr(2)="ArgumentName = Lunar_a_sub_t"
	descripStr(3)="Type = CalcObject"

	argStr(2) = descripStr

	Lunar_Descent_Model_Update_register = argStr

End Function


Function Lunar_Descent_Model_Update_compute( stateData)
	
' The following allow inputs and outputs to be called via c structure syntax

	Set Lunar_Descent_Model_Update_Inputs = g_GetPluginArrayInterface("Lunar_Descent_Model_Update_Inputs")
	Set Lunar_Descent_Model_Update_Outputs = g_GetPluginArrayInterface("Lunar_Descent_Model_Update_Outputs")

	Dim NomThrst
	Dim returnValue(4), thrust, ISP, mass, a_sub_t, target_thrust, num_engines
	Dim commanded_thrust, FPA

	g = 1.62 	   ' gravitational acelleration of moon
       
        NomThrst = 44041.66515  ' 9900 lbs Nominal thrust in N scaled with FPA

	mass = stateData(Lunar_Descent_Model_Update_Inputs.Mass)
	a_sub_t = stateData(Lunar_Descent_Model_Update_Inputs.Lunar_a_sub_t)

        target_thrust = (a_sub_t + g)*mass 

	commanded_thrust = target_thrust

	if target_thrust > NomThrst then			' 9900 lbs force
		commanded_thrust = NomThrst
	end if
                                                                           
	returnValue(Lunar_Descent_Model_Update_Outputs.status) = "Still Okay"
	saved_thrust = commanded_thrust
	saved_MassFlowRate = commanded_thrust/(saved_ISP*9.80665)

	Lunar_Descent_Model_Update_compute = returnValue

End Function

